Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.security
Class SimpleGroup

    java.lang.Object
      org.jboss.seam.security.SimpleGroup

All Implemented Interfaces:
  Serializable, Group, Principal

    public class SimpleGroup

extends Object
implements Group, Serializable

Implementation of the Group interface, used for holding roles etc.

Author:
  Shane Bryzak
See Also:
  Serialized Form

Constructor Summary
`SimpleGroup(String name)`

Method Summary
`boolean` | `addMember(Principal user)`
`boolean` | `equals(Object obj)`
`String` | `getName()`
`int` | `hashCode()`
`boolean` | `isMember(Principal member)`
`Enumeration<? extends Principal>` | `members()`
`boolean` | `removeMember(Principal user)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.security.Principal
`toString`

Constructor Detail

### SimpleGroup

    public SimpleGroup(String name)

Method Detail

### addMember

    public boolean addMember(Principal user)

  Specified by:
    `addMember` in interface `Group`

### isMember

    public boolean isMember(Principal member)

  Specified by:
    `isMember` in interface `Group`

### members

    public Enumeration<? extends Principal> members()

  Specified by:
    `members` in interface `Group`

### removeMember

    public boolean removeMember(Principal user)

  Specified by:
    `removeMember` in interface `Group`

### getName

    public String getName()

  Specified by:
    `getName` in interface `Principal`

### equals

    public boolean equals(Object obj)

  Specified by:
    `equals` in interface `Principal`
  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in interface `Principal`
  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 Seam Framework. All Rights Reserved.